### DATABASE ###
#spring.datasource.driver-class-name=com.mysql.jdbc.Driver
#spring.datasource.url=jdbc:mysql://mysql_container:3306/springdb?useUnicode=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=UTC
spring.datasource.url=jdbc:mysql://localhost:3306/springdb?useUnicode=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=UTC
spring.datasource.username=root
spring.datasource.password=
### JPA / HIBERNATE ###
spring.jpa.show-sql=true
spring.jpa.hibernate.ddl-auto=update
spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.MySQL5Dialect

#logging configuration
logging.level.root=WARN
logging.level.tn.esprit.spring=TRACE
# Logging pattern for console
# Logging pattern for file
logging.file=C:\\logs\\timesheet\\timesheet.log
logging.pattern.file=%d{yyyy-MM-dd HH:mm:ss} [%thread] %-5level %logger{36} - %msg%n
logging.file.max-size=10KB
logging.file.max-history=10
logging.pattern.console=%d{yyyy-MM-dd HH:mm:ss} - %-5level - %logger{36} - %msg%n
spring.jackson.serialization.FAIL_ON_EMPTY_BEANS=false

#Web configuration
spring.mvc.view.prefix=/views/
spring.mvc.view.suffix=.jsp

#Server configuration
server.servlet.context-path=/SpringMVC
spring.mvc.servlet.path=/servlet
server.port=8083

# Root logger option
#log4j.rootLogger=INFO, file, stdout
#log4j.logger.org.springframework.ws.client.MessageTracing.sent=TRACE
#log4j.logger.org.springframework.ws.client.MessageTracing.received=TRACE

# Direct log messages to stdout
#log4j.appender.stdout=org.apache.log4j.ConsoleAppender
#log4j.appender.stdout.Target=System.out
#log4j.appender.stdout.layout=org.apache.log4j.PatternLayout

# log4j.appender.springlog.Threshold=INFO
#log4j.appender.springlog.layout=org.apache.log4j.PatternLayout
#log4j.appender.springlog.layout.ConversionPattern=%d{ABSOLUTE} %5p %c{1}:%L - %m%n

# Direct log messages to a log file
#log4j.appender.file=org.apache.log4j.RollingFileAppender
#log4j.appender.file.File=C:\\logs\\timesheet\\timesheet.log ok
#log4j.appender.file.MaxFileSize=10KB ok
#log4j.appender.file.MaxBackupIndex=10 ok
#log4j.appender.file.layout=org.apache.log4j.PatternLayout
#log4j.appender.file.layout.ConversionPattern=%d{yyyy-MM-dd HH:mm:ss} %-5p %c{1}:%L - %m%n



